# Class CIM_OperatingSystemSoftwareFeature
extends CIM_Component

Indicates the SoftwareFeatures that make up the Operating System. The SoftwareFeatures can be part of different Products.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_OperatingSystemSoftwareFeature

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Indicates the SoftwareFeatures that make up the Operating System. The SoftwareFeatures can be part of different Products.
UMLPackagePath | string | CIM::Application::SystemSoftware
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_OperatingSystemSoftwareFeature | CIM_OperatingSystem
PartComponent | CIM_OperatingSystemSoftwareFeature | CIM_SoftwareFeature

## Class Methods